package cn.timer.api.bean.spmk;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import cn.timer.api.config.exception.ValidationMsg;
import cn.timer.api.config.validation.Insert;
import cn.timer.api.config.validation.Ranks;
import cn.timer.api.config.validation.Update;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author Tang 2020-04-17
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "spmk_approval_g")
@ApiModel("审批组")
public class SpmkApprovalG extends Model<SpmkApprovalG> {

	/**
	 *
	 */
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号 编号", example = "101")
	@NotNull(groups = {Ranks.class},message = ValidationMsg.NOTNULL)
	private Integer id;

	@ApiModelProperty(value = "企业组织代码 企业组织代码", example = "101")
	private Integer orgCode;

	@NotBlank(groups = {Insert.class,Update.class},message = ValidationMsg.NOTBLANK)
	@ApiModelProperty(value = "组名 ", example = "组名")
	private String name;

	@ApiModelProperty(value = "排序 排序", example = "101")
	@NotNull(groups = {Ranks.class},message = ValidationMsg.NOTNULL)
	private Integer ranks;

	@ApiModelProperty(value = "是否可编辑 0是 1否", example = "101")
	private Integer isEditable;
}
