package cn.timer.api.dto.qyxx;

import java.io.Serializable;
import java.util.List;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Transient;

import cn.timer.api.bean.qyxx.CmsContentRead;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;

import cn.timer.api.utils.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CmsContentDto extends Page implements Serializable{

	private static final long serialVersionUID = -7775172528034994455L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号", example = "1")
	private Integer id;

	@ApiModelProperty(value = "内容类型ID", example = "101")
	private String contenttypeid;// 内容类型ID
	
	@ApiModelProperty(value = "标题", example = "101")
	private String title;// 标题
	
	@ApiModelProperty(value = "作者", example = "101")
	private String author;// 作者
	
	@ApiModelProperty(value = "内容", example = "101")
	private String summary;// 内容
	
	@ApiModelProperty(value = "摘要", example = "101")
	private String introduction;// 摘要
	
	@ApiModelProperty(value = "链接", example = "101")
	private String linkaddress;// 链接
	
	@ApiModelProperty(value = "录入日期", example = "101")
	private Long addeddate;// 录入日期
	
	@ApiModelProperty(value = "发布状态", example = "101")
	private Integer releasestate;// 发布状态
	
	@ApiModelProperty(value = "审核状态", example = "101")
	private Integer status;// 审核状态
	
	@ApiModelProperty(value = "添加人---责任编辑人姓名", example = "101")
	private Integer userid;// 添加人---责任编辑人姓名
	
	@ApiModelProperty(value = "org_code", example = "101")
	private Integer organizationId;// 归属商户id
	
//	@ApiModelProperty(value = "有效起始时间", example = "101")
//	private String starttime;// 有效起始时间
//	
//	@ApiModelProperty(value = "有效结束时间", example = "101")
//	private String endtime;// 有效结束时间
	
	@ApiModelProperty(value = "状态 1:正常 2:删除", example = "101")
	private Integer existencestatus;// 状态 1:正常 2:删除
	
	@ApiModelProperty(value = "审核人姓名", example = "101")
	private String auditor;// 审核人(用户ID)
	
	@ApiModelProperty(value = "审核时间", example = "101")
	private String audittime;// 审核时间
	
	@ApiModelProperty(value = "上级审核意见", example = "101")
	private String auditopinion;// 上级审核意见
	
	@ApiModelProperty(value = "评论内容", example = "101")
	private String reviewcontent;// 评论内容
	
	@ApiModelProperty(value = "评论时间", example = "101")
	private Long reviewtime;// 评论时间
	
//	@ApiModelProperty(value = "评论人", example = "101")
//	private String commentator;// 评论人
	
	@ApiModelProperty(value = "发布人(用户ID)", example = "101")
	private Integer publisher;// 发布人(用户ID)
	
	@ApiModelProperty(value = "发布时间", example = "101")
	private String releasetime;// 发布时间
	
//	@ApiModelProperty(value = "归属人", example = "101")
//	private Integer belonger;// 归属人
	
//	@ApiModelProperty(value = "提醒时间", example = "101")
//	private Long eventremindingtime;// 提醒时间
	
//	@ApiModelProperty(value = "发送人-0:默认全部人员，1：批量人员", example = "101")
//	private Integer sender;// 发送人-0:默认全部人员，1：批量人员
	
	@ApiModelProperty(value = "所属模块ID", example = "101")
	private Integer modularid;// 所属模块ID
	
	@ApiModelProperty(value = "发布方式：1-编辑文本；2-文本识别", example = "101")
	private Integer releasemode;// 发布方式：1-编辑文本；2-文本识别
	
//	@ApiModelProperty(value = "别名-0：已过期；1：未到期", example = "101")
//	private int termstate;// 别名-0：已过期；1：未到期
	
	@ApiModelProperty(value = "别名-用户名", example = "101")
	private String uname;// 别名-用户名
	
	@ApiModelProperty(value = "封面文件路径", example = "101")
	private String fmtpath;//
	
	@ApiModelProperty(value = "附件文件路径", example = "101")
	private String filepath;//
//	private String[] filepath;//
	
	@ApiModelProperty(value = "发布者姓名", example = "101")
	private String publisherName;// 发布者姓名
	
	@ApiModelProperty(value = "发布方式：1，审核通过后立即发布，2定时发布，3手动发布", example = "101")
	private Integer releasetype;// 发布方式：1，审核通过后立即发布，2定时发布，3手动发布
	
	@ApiModelProperty(value = "收回人(用户ID)", example = "101")
	private Integer takeBack;// 收回人(用户ID)
	
	@ApiModelProperty(value = "收回时间", example = "101")
	private String takeBackTime;// 收回时间
	
	@ApiModelProperty(value = "定时发布时间", example = "101")
	private Long fixedTime;// 定时发布时间

	@ApiModelProperty(value = "是否公开：0否，1是", example = "1")
	private Integer openStatus;
	/**
	 * 文件传阅人员
	 */
	@ApiModelProperty(value = "文件传阅人员")
	private List<CmsContentRead> cmsContentReads;
}